Get CDR Options
Query the enablement status of CDR options, such as fuzzy search.
Request URL
GET {base_url}/{api_path}/cdr/getoption?access_token={access_token}
Request parameters
No request parameters. Send the request URL directly to get CDR options.
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Object<Options> | The information of the CDR options. |
Options
| Parameter | Type | Description |
|---|---|---|
| enb_fuzzy_search | Integer | Whether fuzzy search for equivalent of phone number is enabled when querying CDRs generated on firmware 83.21.0.66 or earlier.
|
| enb_new_cdr_fuzzy_search | Integer | Whether fuzzy search for equivalent of phone number is enabled when querying CDRs generated on firmware 83.21.0.117 or later.
|
Examples
Request example
GET /openapi/v1.0/cdr/getoption?access_token=Kf8nDCJfhqYjMOlUdmiqcnezn1NP7xzn HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": {
"enb_fuzzy_search": 1,
"enb_new_cdr_fuzzy_search": 1
}
}